<?php

/**
 *
 * INDEXU
 * Copyright(C), Nicecoder, 2000-2006, All Rights Reserved.
 *
 * INDEXU(tm) is protected by Indonesia and International copyright laws.
 * Unauthorized use or distribution of INDEXU(tm) is strictly prohibited,
 * violators will be prosecuted. To obtain a license for using INDEXU(tm),
 * please register at Nicecoder home page at http://www.nicecoder.com
 *
 * Author:
 *    Dody Rachmat Wicaksono (dody@nicecoder.com)
 *    M. Zuber (zubby@nicecoder.com)
 *
 */

  /*===================================================
    DeleteSubscriber()
  ===================================================*/

  function DeleteSubscriber() {

    // vars global configuration
    global $dbConn, $category_separator, $admin_template_path;

    // vars url & form
    global $e;

    // vars messages
    global $msg;

    // vars template
    global $message;
    
    $ml_obj = new clsMailingList;
    $ml_obj->table_name = "idx_mailing_list";
    $ml_obj->message_table_name = "idx_message";
    
    $ml_obj->DeleteSubscriber($e);
    
    $message = $msg["20351"];
    
    DisplayTemplate($admin_template_path . "message.html", "\$message");
  }


  /*===================================================
    main
  ===================================================*/

  include "../application.php";

  RunPreFilter(__FILE__);

  DisplayTemplate($admin_template_path . "header.html");
  DeleteSubscriber();
  DisplayTemplate($admin_template_path . "footer.html");

  RunPostFilter(__FILE__);

?>